<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Conexion_certificador_model extends CI_Model {

    public function __construct() {
        parent::__construct();
    }

    public function obtener_token($id) {
        // Aquí tu lógica real, por ejemplo consulta a BD
        return [
            "status" => "ok",
            "id" => $id,
            "token" => "TOKEN_DE_EJEMPLO_123"
        ];
    }
public function getConexion($sucursal_id) {
    return $this->db->get_where('sma_clientes_certificador_conexion', ['sucursal_id' => $sucursal_id, 'activo' => 1])->row();
}

}
